library watch;

import 'dart:io';
import 'package:path/path.dart' as path;

class Watch {
  Stream _stream;

  Watch (String path) {
    var dir = new Directory(path);
    _stream = dir.watch(recursive: true).asBroadcastStream();
  }

  Stream match(String extension) {
    return _stream.where((fse) {
      return !fse.isDirectory && path.extension(fse.path) == extension;
    }).map((fse) {
      return fse.path;
    });
  }
}
